/**
 * Licensed under the MICE s.r.l.
 * End User License Agreement
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.micegroup.it/voila/license.html
 */
package it.mice.voila.runtime.springmvc.form;


/**
 * Form bean contenente i campi in cui inserire i parametri identificativi della scuola da creare.
 */
public class LoginForm extends JfFormBean {

    private String j_username = null;
    private String j_password = null;
    private String disableJavascript = null;
    private boolean changePassword = false;
    private String newPassword = null;
    private String newPassword2 = null;

    /**
     * Costruttore del form ManageAbbonamentoForm
     */
    public LoginForm() {
        super();
    }

    public String getJ_username() {
        return j_username;
    }

    public void setJ_username(String j_username) {
        this.j_username = j_username;
    }

    public String getJ_password() {
        return j_password;
    }

    public void setJ_password(String j_password) {
        this.j_password = j_password;
    }

    /**
	 * @return the disableJavascript
	 */
	public String getDisableJavascript() {
		return disableJavascript;
	}

	/**
	 * @param disableJavascript the disableJavascript to set
	 */
	public void setDisableJavascript(String disableJavascript) {
		this.disableJavascript = disableJavascript;
	}

	public boolean isChangePassword() {
        return changePassword;
    }

    public void setChangePassword(boolean changePassword) {
        this.changePassword = changePassword;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }

    public String getNewPassword2() {
        return newPassword2;
    }

    public void setNewPassword2(String newPassword2) {
        this.newPassword2 = newPassword2;
    }
}
